com.google.gwt.user.linker.rpc

## Class RpcLogArtifact

- java.lang.Object
- - com.google.gwt.core.ext.linker.Artifact<RpcLogArtifact>
  - - com.google.gwt.user.linker.rpc.RpcLogArtifact

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Artifact<?>>

      public class RpcLogArtifact
      extends Artifact<RpcLogArtifact>

  This artifact holds a log of the reasoning for which types are considered serializable for a particular RPC interface.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `UNSPECIFIED_STRONGNAME` This strong name indicates that the artifact doesn't really have its own strong name.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RpcLogArtifact(java.lang.String qualifiedSourceName, java.lang.String serializationPolicyStrongName, java.lang.String rpcLog)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `compareToComparableArtifact(RpcLogArtifact o)` Performs comparison with an artifact of a compatible base type.
    `protected java.lang.Class<RpcLogArtifact>` | `getComparableArtifactType()` Returns the base type to use for comparisons between Artifacts.
    `byte[]` | `getContents()`
    `java.lang.String` | `getQualifiedSourceName()`
    `java.lang.String` | `getSerializationPolicyStrongName()`
    `int` | `hashCode()` The class which is returned from `Artifact.getComparableArtifactType()` must declare a final implementation which returns the same hash code for objects for which `Artifact.compareToComparableArtifact(Artifact)` returns 0.

    - ### Methods inherited from class com.google.gwt.core.ext.linker.Artifact

      `compareTo, equals, getLinker, isTransferableFromShards, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### UNSPECIFIED_STRONGNAME

          public static final java.lang.String UNSPECIFIED_STRONGNAME

      This strong name indicates that the artifact doesn't really have its own strong name.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RpcLogArtifact

          public RpcLogArtifact(java.lang.String qualifiedSourceName,
                                java.lang.String serializationPolicyStrongName,
                                java.lang.String rpcLog)

  - ### Method Detail

    - #### getContents

          public byte[] getContents()

    - #### getQualifiedSourceName

          public java.lang.String getQualifiedSourceName()

    - #### getSerializationPolicyStrongName

          public java.lang.String getSerializationPolicyStrongName()

    - #### hashCode

          public int hashCode()

      Description copied from class: `Artifact`
      The class which is returned from `Artifact.getComparableArtifactType()` must declare a final implementation which returns the same hash code for objects for which `Artifact.compareToComparableArtifact(Artifact)` returns 0.
      Specified by:
        `hashCode` in class `Artifact<RpcLogArtifact>`

    - #### compareToComparableArtifact

          protected int compareToComparableArtifact(RpcLogArtifact o)

      Description copied from class: `Artifact`
      Performs comparison with an artifact of a compatible base type. Objects which compare to 0 are assumed equal, and must return the same `Artifact.hashCode()`.
      Specified by:
        `compareToComparableArtifact` in class `Artifact<RpcLogArtifact>`

    - #### getComparableArtifactType

          protected java.lang.Class<RpcLogArtifact> getComparableArtifactType()

      Description copied from class: `Artifact`
      Returns the base type to use for comparisons between Artifacts. All concrete implementations of this methods must be final.
      Specified by:
        `getComparableArtifactType` in class `Artifact<RpcLogArtifact>`